## sagenb-export 3.2

=== Makefile ===

tox:
	tox

watch-%:
	while true ; do \
	    $(MAKE) $* ; \
	    inotifywait -e close_write -r . --exclude '.*~' --exclude '#.*' ; \
	done

.PHONY: tox

## sagenb-export 2.0

=== debian/changelog ===
sagenb-export (2.0-2) unstable; urgency=medium

  * Work around an FTBFS due to a bug in nbformat. (Closes: #847172)

 -- Ximin Luo <infinity0@debian.org>  Wed, 07 Dec 2016 20:44:45 +0100

sagenb-export (2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #839782)

 -- Ximin Luo <infinity0@debian.org>  Sun, 27 Nov 2016 23:40:32 +0100

=== debian/control ===
Source: sagenb-export
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ximin Luo <infinity0@debian.org>
Build-Depends: debhelper (>= 10), dh-python,
 python-all, python3-all,
 python-ipython (>= 5), python3-ipython (>= 5),
 python-nbconvert, python3-nbconvert,
 python-setuptools, python3-setuptools,
# indeed, python(2)-notebook is not required for some reason
 python-six, python3-six,
 python-tornado, python3-tornado, python3-notebook,
 tox
Standards-Version: 3.9.8
Homepage: https://github.com/vbraun/ExportSageNB
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sagenb-export.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sagenb-export.git/
Testsuite: autopkgtest-pkg-python

Package: python-sagenb-export
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: sagenb-export (= ${binary:Version})
Description: Convert SageNB Notebooks (Python 2)
 This is a tool to convert SageNB notebooks to other formats,
 in particular IPython/Jupyter notebooks.
 .
 This package installs the library for Python 2.

Package: python3-sagenb-export
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Provides: sagenb-export (= ${binary:Version})
Description: Convert SageNB Notebooks (Python 3)
 This is a tool to convert SageNB notebooks to other formats,
 in particular IPython/Jupyter notebooks.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=sagenb-export

%:
	dh $@ --with python2,python3 --buildsystem=pybuild


# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator

TOX_ENVLIST = py27,py35

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# Temporary workaround for #847172; the following two lines with LC_CTYPE
# should be removed after these are fixed:
# - https://github.com/jupyter/nbformat/issues/76
# - https://github.com/vbraun/ExportSageNB/issues/6
# Contrary to its documentation tox does pass down LANG which is why we see
# #847172 in the first place; however we want to affect as little as possible
# so we only set LC_CTYPE - LANG would affect the other LC_* values too.
	LC_CTYPE=C.UTF-8 \
	TOX_TESTENV_PASSENV=LC_CTYPE \
	VIRTUALENV_DOWNLOAD=no \
	http_proxy=http://127.0.9.1:9 \
	https_proxy=https://127.0.9.1:9 \
	tox -r --sitepackages -e $(TOX_ENVLIST) -- -s
endif

override_dh_auto_clean:
	rm -rf .tox
	dh_auto_clean

override_dh_install:
	dh_install
	mv debian/python-sagenb-export/usr/bin/sagenb-export \
	   debian/python-sagenb-export/usr/bin/sagenb-export-python2
	mv debian/python3-sagenb-export/usr/bin/sagenb-export \
	   debian/python3-sagenb-export/usr/bin/sagenb-export-python3

## sagenb-export 3.2

=== debian/changelog ===
sagenb-export (3.2-4) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #938428
  * Bump Standards-Version to 4.4.1 (no changes needed)
  * update Vcs-* fields to point to salsa.d.o

 -- Sandro Tosi <morph@debian.org>  Sun, 27 Oct 2019 10:37:48 -0400

sagenb-export (3.2-3) unstable; urgency=medium

  [ Steve Langasek ]
  * Test against the current python versions, not hard-coded ones.
    (Closes: #872878)

 -- Ximin Luo <infinity0@debian.org>  Fri, 25 Aug 2017 01:35:34 +0200

sagenb-export (3.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Wed, 16 Aug 2017 21:41:30 +0200

sagenb-export (3.2-1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Fri, 19 May 2017 14:59:36 +0200

=== debian/control ===
Source: sagenb-export
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ximin Luo <infinity0@debian.org>
Build-Depends: debhelper (>= 10), dh-python,
 python3-all,
 python3-ipython (>= 5),
 python3-nbconvert,
 python3-setuptools,
# indeed, python(2)-notebook is not required for some reason
 python3-six,
 python3-tornado, python3-notebook,
 tox
Standards-Version: 4.4.1
Homepage: https://github.com/vbraun/ExportSageNB
Vcs-Git: https://salsa.debian.org/science-team/sagenb-export.git
Vcs-Browser: https://salsa.debian.org/science-team/sagenb-export
Testsuite: autopkgtest-pkg-python

Package: python3-sagenb-export
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Provides: sagenb-export (= ${binary:Version})
Description: Convert SageNB Notebooks (Python 3)
 This is a tool to convert SageNB notebooks to other formats,
 in particular IPython/Jupyter notebooks.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=sagenb-export
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 
 # If you need to rebuild the Sphinx documentation
@@ -16,7 +16,7 @@
 #	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
 #	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator
 
-TOX_ENVLIST = py27,py35
+TOX_ENVLIST = python3
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -41,7 +41,5 @@
 
 override_dh_install:
 	dh_install
-	mv debian/python-sagenb-export/usr/bin/sagenb-export \
-	   debian/python-sagenb-export/usr/bin/sagenb-export-python2
 	mv debian/python3-sagenb-export/usr/bin/sagenb-export \
 	   debian/python3-sagenb-export/usr/bin/sagenb-export-python3

## sagenb-export 3.4

=== debian/changelog ===
sagenb-export (3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Remove dependency on python3-six (Closes: #1070366)
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Jun 2024 18:37:30 +0200

=== debian/control ===
Source: sagenb-export
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ximin Luo <infinity0@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-ipython (>= 5),
 python3-nbconvert,
 python3-setuptools,
 python3-notebook,
 python3-tornado,
 python3-wheel,
 tox
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/vbraun/ExportSageNB
Vcs-Git: https://salsa.debian.org/science-team/sagenb-export.git
Vcs-Browser: https://salsa.debian.org/science-team/sagenb-export
Testsuite: autopkgtest-pkg-python

Package: python3-sagenb-export
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Provides: sagenb-export (= ${binary:Version})
Description: Convert SageNB Notebooks (Python 3)
 This is a tool to convert SageNB notebooks to other formats,
 in particular IPython/Jupyter notebooks.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=sagenb-export

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ExportSageNB-$1.tar.gz%" \
 https://github.com/vbraun/ExportSageNB/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
